"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _xml = _interopRequireDefault(require("xml"));
var _moment = _interopRequireDefault(require("moment"));
var _path = _interopRequireDefault(require("path"));
var utils = _interopRequireWildcard(require("./utils"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) { if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } } return n.default = e, t && t.set(e, n), n; }
var XMLNS_DECLS = {
  _attr: {
    xmlns: "http://www.sitemaps.org/schemas/sitemap/0.9"
  }
};
var SiteMapIndexGenerator = /*#__PURE__*/function () {
  function SiteMapIndexGenerator(options) {
    this.ISO8601_FORMAT = "YYYY-MM-DDTHH:mm:ssZ";
    options = options || {};
    this.types = options.types;
  }
  var _proto = SiteMapIndexGenerator.prototype;
  _proto.getXml = function getXml(options) {
    var urlElements = this.generateSiteMapUrlElements(options);
    var data = {
      // Concat the elements to the _attr declaration
      sitemapindex: [XMLNS_DECLS].concat(urlElements)
    };

    // Return the xml
    return utils.sitemapsUtils.getDeclarations(options) + (0, _xml.default)(data);
  };
  _proto.generateSiteMapUrlElements = function generateSiteMapUrlElements(_ref) {
    var _this = this;
    var _ref$sources = _ref.sources,
      sources = _ref$sources === void 0 ? [] : _ref$sources,
      siteUrl = _ref.siteUrl,
      pathPrefix = _ref.pathPrefix,
      resourcesOutput = _ref.resourcesOutput;
    return sources.map(function (source) {
      var filePath = resourcesOutput.replace(/:resource/, source.name).replace(/^\//, "");
      var siteMapUrl = source.url ? source.url : new URL(_path.default.join(pathPrefix, filePath), siteUrl).toString();
      var lastModified = source.url ? (0, _moment.default)(new Date(), _this.ISO8601_FORMAT).toISOString() : _this.types[source.sitemap].lastModified || (0, _moment.default)(new Date(), _this.ISO8601_FORMAT).toISOString();
      return {
        sitemap: [{
          loc: siteMapUrl
        }, {
          lastmod: (0, _moment.default)(lastModified).toISOString()
        }]
      };
    });
  };
  return SiteMapIndexGenerator;
}();
exports.default = SiteMapIndexGenerator;